Toolsets
AGH Toolsets HTTP endpoints.
- Audience
- Operators running durable agent work
- Focus
- API Reference guidance shaped for scanability, day-two clarity, and operator context.
GET
/api/toolsetsQuery Parameters
workspace_id?string
Effective workspace id
workspace?string
Effective workspace reference
session_id?string
Effective session id
agent_name?string
Effective agent name
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/toolsets"{
"toolsets": [
{
"expanded_tools": [
"string"
],
"id": "string",
"reason_codes": [
"approval_canceled"
],
"status": "string",
"tools": [
"string"
],
"toolsets": [
"string"
]
}
]
}{
"error": {
"code": "tool_not_found",
"details": {
"property1": null,
"property2": null
},
"layer": "string",
"message": "string",
"reason_codes": [
"approval_canceled"
],
"tool_id": "string"
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}Empty
GET
/api/toolsets/{id}Path Parameters
id*string
Canonical toolset id
Query Parameters
workspace_id?string
Effective workspace id
workspace?string
Effective workspace reference
session_id?string
Effective session id
agent_name?string
Effective agent name
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/toolsets/string"{
"toolset": {
"expanded_tools": [
"string"
],
"id": "string",
"reason_codes": [
"approval_canceled"
],
"status": "string",
"tools": [
"string"
],
"toolsets": [
"string"
]
}
}{
"error": {
"code": "tool_not_found",
"details": {
"property1": null,
"property2": null
},
"layer": "string",
"message": "string",
"reason_codes": [
"approval_canceled"
],
"tool_id": "string"
}
}{
"error": {
"code": "tool_not_found",
"details": {
"property1": null,
"property2": null
},
"layer": "string",
"message": "string",
"reason_codes": [
"approval_canceled"
],
"tool_id": "string"
}
}{
"error": {
"code": "tool_not_found",
"details": {
"property1": null,
"property2": null
},
"layer": "string",
"message": "string",
"reason_codes": [
"approval_canceled"
],
"tool_id": "string"
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}Empty